# Removes the _site/.
rm -r _site/
# Rscript -e "library(rmarkdown); clean_site()"

# The root file.
echo $PWD
THEROOT=$PWD
cd $THEROOT

# List of Rmd files.
RMDFILES=$(find . -name \*.Rmd -print)
echo $RMDFILES

# Runs rmarkdown::render() in each Rmd file down in the tree.
for RMD in $RMDFILES; do
    DIRNAME=`dirname "$RMD"`
    RMDNAME=`basename "$RMD"`
    cd $DIRNAME
    if [[ "$DIRNAME" == "./slides" || "$DIRNAME" == "./tutoriais" ]]; then
        Rscript -e "library(rmarkdown); render(\"$RMDNAME\")"
    fi
    cd $THEROOT
done

# Renders the site.
Rscript -e "library(rmarkdown); render_site()"

firefox _site/index.html

# Remove os Rmd.
rm -r --verbose _site/slides/*.Rmd
rm -r --verbose _site/tutoriais/*.Rmd

# Visualiza a árvore de arquivos/diretórios.
tree -h -F _site/ -L 1
tree -h -F _site/slides
tree -h -F _site/scripts
tree -h -F _site/tutoriais -L 1

# Upload.
rsync -avzp \
      ./_site/ \
      --progress \
      --rsh="ssh -p$PATAXOP" "$PATAXO:~/public_html/ensino/EC2/"

# Visit the homepage.
firefox http://leg.ufpr.br/~walmes/ensino/EC2/
